Getting Started

Sections

Theme switcher

Create Webhook Subscription

Header Parameters

Authorizationstring Required
x-client-idstring Required
x-signaturestring Required
x-timestampstring Required
Content-Typestring Required

Body Parameters

eventstring Required

Event name, e.g. invoice.updated

callbackUrlstring Required

HTTPS URL for outbound POSTs

signingSecretstring

Optional shared secret for verifying X-Webhook-Signature on deliveries

statusstring

active | paused | disabled

Response

201
Object
{ "status": "success", "data": { "webhook": { "uuid": "...", "event": "customer.created", "callbackUrl": "https://example.com/webhooks/count", "status": "active", "hasSigningSecret": true, "createdAt": "...", "updatedAt": "..." } } }
Was this section helpful?

POST

/

Select
1

Response

Was this section helpful?
View as Markdown

Ask an AI

Open in ChatGPTOpen in ClaudeOpen in Perplexity

Code with AI

Open in Copilot